submitProjectName := "wikipedia"

scalaVersion := "2.11.5"

scalacOptions ++= Seq(
  "-deprecation",
  "-unchecked",
  "-optimise",
  "-Yinline-warnings"
)

(fork in Test) := false

parallelExecution in Test := false

// See documentation in ProgFunBuild.scala
projectDetailsMap := {
  val depsCollections = Seq(
    "com.storm-enroute" %% "scalameter-core" % "0.6",
    "com.github.scala-blitz" %% "scala-blitz" % "1.1",
    "org.scala-lang.modules" %% "scala-swing" % "1.0.1",
    "com.storm-enroute" %% "scalameter" % "0.6" % "test"
  )
  val depsSpark = Seq(
    "org.apache.spark" %% "spark-core" % "1.2.1"
  )
  val currentCourseId = "parprog-001"
  Map(
    "example"      ->  ProjectDetails(
                         packageName = "example",
                         assignmentPartId = "INYXopHA",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId),
    "scalashop"    -> ProjectDetails(
                         packageName = "scalashop",
                         assignmentPartId = "CCCm3IPa",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId,
                         depsCollections),
    "reductions"   -> ProjectDetails(
                         packageName = "reductions",
                         assignmentPartId = "9Eowot9F",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId,
                         depsCollections),
    "kmeans"       -> ProjectDetails(
                         packageName = "kmeans",
                         assignmentPartId = "XAa1vngH",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId,
                         depsCollections),
    "barneshut"    -> ProjectDetails(
                         packageName = "barneshut",
                         assignmentPartId = "BlnAINq4",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId,
                         depsCollections),
    "wikipedia"    -> ProjectDetails(
                         packageName = "wikipedia",
                         assignmentPartId = "HreO32nG",
                         maxScore = 10d,
                         styleScoreRatio = 0.0,
                         courseId=currentCourseId,
                         depsSpark)
)}

// Prefixes of the binary class names that need to be instrumented
//instrumentedClassPrefixes ++= Seq(
//  "kmeans/",
//  "scala/collection/parallel/immutable/ParVector"
//)
